Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 384887 (CVE-2011-2728) - <dev-lang/perl-5.16.3 "decode_xs()" and "File::Glob::bsd_glob()" Vulnerabilities (CVE-2011-{2728,2939})
Summary: <dev-lang/perl-5.16.3 "decode_xs()" and "File::Glob::bsd_glob()" Vulnerabilit...
Status: RESOLVED FIXED
Alias: CVE-2011-2728
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/46172/
Whiteboard: B2 [glsa]
Keywords:
Depends on: 461898
Blocks:
  Show dependency tree
 
Reported: 2011-09-29 09:14 UTC by Agostino Sarubbo
Modified: 2014-01-19 16:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2011-09-29 09:14:27 UTC
From secunia security advisory ad $URL:

Description:
1) An error within the "File::Glob::bsd_glob()" function when handling the GLOB_ALTDIRFUNC flag can be exploited to cause an access violation and potentially execute arbitrary code.

2) An error within the "decode_xs()" function in Encode can be exploited to cause a heap-based buffer overflow via specially crafted input.

Solution:
Update to version 5.14.2.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2012-03-22 17:01:39 UTC
CVE-2011-2939 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-2939):
  Off-by-one error in the decode_xs function in Unicode/Unicode.xs in the
  Encode module before 2.44, as used in Perl before 5.15.6, might allow
  context-dependent attackers to cause a denial of service (memory corruption)
  via a crafted Unicode string, which triggers a heap-based buffer overflow.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2012-12-22 23:57:52 UTC
CVE-2011-2728 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-2728):
  The bsd_glob function in the File::Glob module for Perl before 5.14.2 allows
  context-dependent attackers to cause a denial of service (crash) via a glob
  expression with the GLOB_ALTDIRFUNC flag, which triggers an uninitialized
  pointer dereference.
Comment 3 Chris Reffett (RETIRED) gentoo-dev Security 2013-09-11 03:41:06 UTC
I don't suppose we're any closer to actually getting an unaffected version stable?
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-12-19 14:49:59 UTC
@security, vote please.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-12-19 14:53:19 UTC
ah, B2, set as [glsa]
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2014-01-19 16:38:30 UTC
This issue was resolved and addressed in
 GLSA 201401-11 at http://security.gentoo.org/glsa/glsa-201401-11.xml
by GLSA coordinator Chris Reffett (creffett).